Redmine - Feature #38168

WebP images support
2023-01-11 11:11 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

WebP image format, introduced in 2010, are now supported by most browsers (see https://caniuse.com/webp).

The attached patch adds WebP support to Redmine. The following functions will be able to handle WebP.

e Inline image
e Thumbnail of the attached image
¢ Inserting markup for an image uploaded by drag and drop

Related issues:
Related to Redmine - Feature #38368: WebP images support in PDF output

Closed

Associated revisions

Revision 22045 - 2023-01-16 02:23 - Go MAEDA
Support for WebP images (#38168).
e Inline image
e Thumbnail
¢ Inserting markup for an image uploaded by drag and drop

Patch by Go MAEDA.

History

#1 - 2023-01-13 02:02 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#2 - 2023-01-16 02:23 - Go MAEDA

- Subject changed from Support for WebP format images to Support for WebP images
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

#3 - 2023-01-16 02:23 - Go MAEDA
Committed the patch.

#4 - 2023-01-19 22:33 - Go MAEDA
- Subject changed from Support for WebP images to WebP images support

#5 - 2023-03-22 00:54 - Go MAEDA
- Related to Feature #38368: WebP images support in PDF output added
